Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface State

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  StateImpl

Deprecated

    @Deprecated
    public interface State

extends Belonging

Represents a discrete state in a state machine or workflow. It is contained by a `StateMachine` and refered to by `Transitions` A name that identifies the state uniquely within the context of a state machine.

                      name
     [State] <*>------> [java.lang.String]

See Also
  `StateHome`, `StateImpl`

Method Summary
`void` | `enter(Transition trans)` Deprecated This method is invoked whenever the state is entered.
`void` | `error(Transition trans)` Deprecated This method is invoked whenever the state is transitioned from in erro.
`void` | `exit(Transition trans)` Deprecated This method is invoked whenever the state is transitioned from.
`TransitionPolicy` | `getEnterPolicy()` Deprecated Get the transition policy that is invoked when the state is entered.
`TransitionPolicy` | `getErrorPolicy()` Deprecated Set the transition policy that is invoked when the state is exited with an invalid transition.
`TransitionPolicy` | `getExitPolicy()` Deprecated Get the transition policy that is invoked when the state is exited.
`String` | `getName()` Deprecated Get the value of name
`void` | `setEnterPolicy(TransitionPolicy policy)` Deprecated Set a transition policy that is invoked when the state is entered.
`void` | `setErrorPolicy(TransitionPolicy policy)` Deprecated Set a transition policy that is invoked when the state is exited with an invalid transition.
`void` | `setExitPolicy(TransitionPolicy policy)` Deprecated Set a transition policy that is invoked when the state is exited.
`void` | `setName(String name)` Deprecated Set the value of name

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getName

    String getName()

  Deprecated
  Get the value of name

  Returns
    name.

### setName

    void setName(String name)

  Deprecated
  Set the value of name

  Parameters
    `names` - name to be added

### enter

    void enter(Transition trans)

  Deprecated
  This method is invoked whenever the state is entered. It searches for an enter policy and invokes it.

### exit

    void exit(Transition trans)

  Deprecated
  This method is invoked whenever the state is transitioned from. It searches for an Exit Policy and invokes it if present.

### error

    void error(Transition trans)

  Deprecated
  This method is invoked whenever the state is transitioned from in erro. It searches for an Error Policy and invokes it if present

### setEnterPolicy

    void setEnterPolicy(TransitionPolicy policy)

  Deprecated
  Set a transition policy that is invoked when the state is entered.

### getEnterPolicy

    TransitionPolicy getEnterPolicy()

  Deprecated
  Get the transition policy that is invoked when the state is entered.

### setExitPolicy

    void setExitPolicy(TransitionPolicy policy)

  Deprecated
  Set a transition policy that is invoked when the state is exited.

### getExitPolicy

    TransitionPolicy getExitPolicy()

  Deprecated
  Get the transition policy that is invoked when the state is exited.

### setErrorPolicy

    void setErrorPolicy(TransitionPolicy policy)

  Deprecated
  Set a transition policy that is invoked when the state is exited with an invalid transition.

### getErrorPolicy

    TransitionPolicy getErrorPolicy()

  Deprecated
  Set the transition policy that is invoked when the state is exited with an invalid transition.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.